Name:           python-ibm-vpc
Version:        0.12.0
Release:        0%{?dist}
Summary:        Python client library for IBM Cloud VPC Services

License:        ASL 2.0
URL:            https://github.com/IBM/vpc-python-sdk
Source0:        %{url}/archive/v%{version}/vpc-python-sdk-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

# test dependencies are in requirements-dev.txt but mixed with coverage and linters
# tox configuration uses the same file
BuildRequires:  python3-pytest
BuildRequires:  python3-responses

%global _description %{expand:
Python client library to interact with various IBM Cloud Virtual Private Cloud
(VPC) Service APIs.
}


%description %_description

%package -n     python3-ibm-vpc
Summary:        %{summary}

%description -n python3-ibm-vpc %_description


%prep
%autosetup -p1 -n vpc-python-sdk-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files 'ibm_vpc'


%check
%pytest -v test/unit


%files -n python3-ibm-vpc -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.9.0-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Pavel Raiskup <praiskup@redhat.com> - 0.9.0-3
- drop the TODO generated by pyp2spec

* Sat Jan 01 2022 Pavel Raiskup <praiskup@redhat.com> - 0.9.0-2
- drop +auto, per review, rhbz#2035004

* Wed Dec 22 2021 Pavel Raiskup <praiskup@redhat.com> - 0.9.0-1
- initial package, pre-generated by pyp2spec
